Redmine - Patch #13696

Projects admin, show issues count
2013-04-05 16:42 - Jérome BATAILLE

Status: New Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Projects Estimated time: 0.00 hour
Target version:

Description
Patch made against Redmine V1.2.1, but should work for earlier versions.

Related issues:

Related to Redmine - Feature #23954: Shows the date of the last activity on P... Closed
Related to Redmine - Feature #29482: Query system for Projects page Closed
History

#1 - 2013-04-05 16:53 - Jérome BATAILLE
- File RM_13696_Projects_admin_show_issues_count_RM_V1.2.1.diff added

Here is the patch.

This patch adds too a projects count depending of the filters.

#2 - 2016-01-11 07:14 - Go MAEDA

- File projects _admin_show _issues_count v2.diff added
- File projects-with-issues-count.png added

- Target version set to Candidate for next major release
+1

Showing issues count is convenient for admins especially when a admin is to delete projects.
Here is an updated patch applicable to current trunk (r15058).

Projects D New project
Filters
Status : active |y Project: Apply @ Clear
Project Public Issues Created
issue-12279 v 0 10/01/2015 Archive Copy Delete
issue-16621 v 7 11/08/2015 Archive Copy Delete
test v 161 12/20/2014 Archive Copy Delete
test-sub o ) 03/19/2015 Archive Copy Delete
test-sub-sub v 0 10/10/2015 Archive Copy Delete

#3 - 2016-01-21 02:13 - Go MAEDA

- Target version changed from Candidate for next major release to 3.3.0
#4 - 2016-03-06 17:17 - Robert Schneider
| would suggest to add the open and closed issue count to this colum as well. Ideally, as a link to that issues. | could imagine one would like to make

sure that all issues of a project are closed before archiving it.

#5 - 2016-03-19 00:48 - Jérome BATAILLE
- File redmine_projects_list.png added

Robert Schneider wrote:
https://www.redmine.org/projects/redmine/repository/svn/revisions/15058

| would suggest to add the open and closed issue count to this colum as well. Ideally, as a link to that issues. | could imagine one would like to
make sure that all issues of a project are closed before archiving it.

You're right, it can be helpful too, to have :

® Subprojects count
e Members count

To not overload the view we can display these fields only when a project filter is filled.

Here is what it can look like :

Ly Ll Members / Subprojects

S 58 (47)
formationinternet 20 /62
projet- "
test-redmine- 25&"?)1
version-1 =t
espace-client- 00
#6 - 2016-03-19 00:59 - Jérome BATAILLE
- File projects.html.erb added
Here is what we use everyday, sorry it's not a clean patch and there is no tests.

#7 - 2016-05-07 10:08 - Jean-Philippe Lang
- Target version deleted (3.3.0)

IMO, we rarely need to see this information on the project list.

When an admin needs to delete a project, he can easily check the open/closed issues on the project overview.

We'll add this as an optional column when the project list will be made configurable (like the issue list).

#8 - 2016-05-07 12:31 - Jérome BATAILLE

Jean-Philippe Lang wrote:

IMO, we rarely need to see this information on the project list.

When an admin needs to delete a project, he can easily check the open/closed issues on the project overview.

We'll add this as an optional column when the project list will be made configurable (like the issue list).

It's ok for me, for an optional column, | suppose a simple checkbox like Show project details would be perfect.

For project admins managing a Redmine with a lot of projets, it's very useful because in the same place you have all the informations gathered, to
decide if a project can be deleted or has to be archived. It's a spare of time in the case he has to check a bunch of projects with sub-projects.

Thanks for your time.

#9 - 2017-01-24 06:10 - Go MAEDA

- Related to Feature #23954: Shows the date of the last activity on Projects administration added

#10 - 2018-09-16 13:45 - Marius BALTEANU

- Related to Feature #29482: Query system for Projects page added
